.csv-button {
  background-color: #4CAF50;
  border: none;
  color: white;
  padding: 5px 17px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
}

.truncate-button {
  background-color: red;
  border: none;
  color: white;
  padding: 5px 17px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  margin-left: 3px;
  margin-top: 17px
}



input[type="date"]:before {
  content: attr(placeholder) !important;
  color: #aaa;
  margin-right: 0.5em;
}

input[type="date"]:focus:before,
input[type="date"]:valid:before {
  content: "";
}


.table-striped {
  font-size: 13px !important;
}

/* Sticky Header */

th {
  /* header cell */
  font-weight: 700;
  text-align: left;
  border-bottom: 2px solid #EB9486;
  position: sticky;
  top: 0;
  background: #000;
  color: white;
}


/* Sticky Header */
/* full-screen overlay loader */
.loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.5);
  z-index: 9999;
  
  /* Center content */
  display: flex;
  align-items: center;
  justify-content: center;
}

.loader-content {
  text-align: center;
  color: #fff; /* white text for dark bg */
}

.loader-content img {
  width: 75px;
  height: 75px;
  display: block;
  margin: 0 auto;
}

.loader-content p {
  margin-top: 12px;
  font-size: 18px;
  font-weight: bold;
}

.form-controlcustom {
  line-height: .7 !important;
  padding-top: 1px !important;
}

.table-stripedcustom tbody tr:nth-of-type(odd){background-color:rgba(234, 246, 212, 1)}
.table-stripedcustom tbody tr:nth-of-type(even) td:first-child {
  background-color: rgba(147, 192, 38, 1);
}

.table-stripedcustom tbody tr:last-child td {
  background-color: rgba(147, 192, 38, 1);
}

.table-responsive table {
  min-width: 100%;
  width: max-content;
}
